Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.rebind.keygen
Interface KeyGenerator

All Known Implementing Classes:
  FullyQualifiedMethodNameKeyGenerator, MD5KeyGenerator, MethodNameKeyGenerator

Deprecated. Use `KeyGenerator` instead.

    @Deprecated
    public interface KeyGenerator

Interface for key generation algorithms used by `LocalizableResource` implementations. Implementations of this interface are executed at compile time, and therefore must not contain any JSNI code.

Method Summary
`java.lang.String` | `generateKey(java.lang.String className, java.lang.String methodName, java.lang.String text, java.lang.String meaning)` Deprecated. Generates a key for a given method with its default text and meaning.

Method Detail

### generateKey

    java.lang.String generateKey(java.lang.String className,
                                 java.lang.String methodName,
                                 java.lang.String text,
                                 java.lang.String meaning)

  Deprecated.
  Generates a key for a given method with its default text and meaning.

  Parameters:
    `className` - fully qualified name of the Messages/Constants subinterface
    `methodName` - name of the method in the subinterface
    `text` - default text to use if no translation is available, which may be null if no default text is supplied
    `meaning` - extra text explaining the meaning of the text, or null if not needed
  Returns:
    the lookup key as a string or null if the key cannot be computed (for example, if text is null but this generator requires it)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD